import sys;
import zipfile;
import getopt;

import ComputeZip;
import UpdateDrivers;
from usage import usage;

print "SHA1Merger.py - by Farfetch'd"
print "-----------------------------"

# Parse command line
try:
    opts, args = getopt.getopt(sys.argv[1:], "hm:r:i",
                ["help", "mame-path=", "roms-path=", "--incremental"]);
except getopt.GetoptError:
    usage();
    sys.exit(2);

if len(args) == 0:
    usage();
    sys.exit(2);
    pass;
else:
    # Process commands
    if args[0] == 'u':
        UpdateDrivers.UpdateDrivers(opts, args);
        sys.exit();
    if args[0] == "c" or args[0] == 'd':
        ComputeZip.ComputeZip(opts, args);
        sys.exit();
    if args[0] == 'h':
        usage();
        sys.exit();
